# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Tue Jul 13 14:58:12 2021
# ------------------------------------------------

package:
  name: fsspec
  version: 2021.7.0
source:
  sha256: 792ebd3b54de0b30f1ce73f0ba0a8bcc864724f2d9f248cb8d0ece47db0cbde8
  url: https://pypi.io/packages/source/f/fsspec/fsspec-2021.7.0.tar.gz
build:
  noarch: python
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/fsspec_1626188337504/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --ignore-installed -vv
  string: pyhd8ed1ab_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.5.30 ha878542_0
    - certifi 2021.5.30 py39hf3d152e_0
    - jinja2 3.0.1 pyhd8ed1ab_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_1
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - markupsafe 2.0.1 py39h3811e60_0
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1k h7f98852_0
    - pip 21.1.3 pyhd8ed1ab_0
    - python 3.9.6 h49503c6_1_cpython
    - python_abi 3.9 2_cp39
    - readline 8.1 h46c0cb4_0
    - setuptools 49.6.0 py39hf3d152e_3
    - sqlite 3.36.0 h9cd32fc_0
    - tk 8.6.10 h21135ba_1
    - tzdata 2021a he74cb21_1
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - python >=3.6
test:
  commands:
    - pip check
  imports:
    - fsspec
  requires:
    - pip
about:
  description: 'To produce a template or specification for a file-system interface,
    that specific implementations should follow, so that applications making use of
    them can rely on a common behaviour and not have to worry about the specific internal
    implementation decisions with any given backend. Many such implementations are
    included in this package, or in sister projects such as s3fs and gcsfs.

    In addition, if this is well-designed, then additional functionality, such as
    a key-value store or FUSE mounting of the file-system implementation may be available
    for all implementations "for free".

    '
  dev_url: https://github.com/intake/filesystem_spec
  doc_source_url: https://github.com/intake/filesystem_spec/tree/master/docs
  doc_url: https://filesystem-spec.readthedocs.io
  home: https://github.com/intake/filesystem_spec
  license: BSD-3-Clause
  license_file: LICENSE
  summary: A specification for pythonic filesystems
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - TomAugspurger
    - martindurant
